Bug 146385 - internal compiler error: in fold_convert, at fold-const.c:1917
Summary: internal compiler error: in fold_convert, at fold-const.c:1917
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc34   
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-27 19:40 UTC by Mike Marciniszyn
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: RHBA-2005-257
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 09:36:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source that shows the problem (20.97 KB, text/plain)
2005-01-27 19:42 UTC, Mike Marciniszyn
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:257 normal SHIPPED_LIVE gcc bug fix update 2005-06-09 04:00:00 UTC
GNU Compiler Collection 19666 None None None Never

Description Mike Marciniszyn 2005-01-27 19:40:32 UTC
Description of problem:  
  
  
In file included from foo.cpp:1:  
foo.hpp: In static member function `static foo*  
foo::GetParentStruct(LIST_ITEM*)':  
foo.hpp:33: internal compiler error: in fold_convert, at  
fold-const.c:1917  
Please submit a full bug report,  
with preprocessed source if appropriate.  
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.  
Preprocessed source stored into /tmp/cc2QCuvl.out file, please  
attach this to your bugreport.  
[mmarciniszyn@brady testit]$ cp /tmp/cc2QCuvl.out bug.cpp  
  
  
Version-Release number of selected component (if applicable):  
  
Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.2/specs  
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man  
--infodir=/usr/share/info --enable-shared --enable-threads=posix  
--disable-checking --with-system-zlib --enable-__cxa_atexit  
--disable-libunwind-exceptions --enable-java-awt=gtk  
--host=i386-redhat-linux  
Thread model: posix  
gcc version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)  
  
  
How reproducible:  
Every time  
  
  
Steps to Reproduce:  
Compile the attached program

Comment 1 Mike Marciniszyn 2005-01-27 19:42:32 UTC
Created attachment 110315 [details]
Source that shows the problem

Save the file as bug.cpp and type g++ bug.cpp

Comment 2 Jakub Jelinek 2005-01-28 09:36:29 UTC
Moved upstream.

Comment 3 Tim Powers 2005-06-09 10:57:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-257.html



Note You need to log in before you can comment on or make changes to this bug.